lwIP 2.1.2 Lightweight IP stack

Macros
Options
Applications » SMTP client

## Macros
#define | SMTP_BODYDH 0
#define | SMTP_DEBUG LWIP_DBG_OFF
#define | SMTP_MAX_SERVERNAME_LEN 256
#define | SMTP_MAX_USERNAME_LEN 32
#define | SMTP_MAX_PASS_LEN 32
#define | SMTP_COPY_AUTHDATA 1
#define | SMTP_CHECK_DATA 1
#define | SMTP_SUPPORT_AUTH_PLAIN 1
#define | SMTP_SUPPORT_AUTH_LOGIN 1

## Detailed Description

## Macro Definition Documentation

## ◆ SMTP_BODYDH

#define SMTP_BODYDH 0

Set this to 1 to enable data handler callback on BODY

## ◆ SMTP_CHECK_DATA

#define SMTP_CHECK_DATA 1

Set this to 0 to save some code space if you know for sure that all data passed to this module conforms to the requirements in the SMTP RFC. WARNING: use this with care!

## ◆ SMTP_COPY_AUTHDATA

#define SMTP_COPY_AUTHDATA 1

Set this to 0 if you know the authentication data will not change during the smtp session, which saves some heap space.

## ◆ SMTP_DEBUG

#define SMTP_DEBUG LWIP_DBG_OFF

SMTP_DEBUG: Enable debugging for SNTP.

## ◆ SMTP_MAX_PASS_LEN

#define SMTP_MAX_PASS_LEN 32

Maximum length reserved for password

## ◆ SMTP_MAX_SERVERNAME_LEN

#define SMTP_MAX_SERVERNAME_LEN 256

Maximum length reserved for server name including terminating 0 byte

## ◆ SMTP_MAX_USERNAME_LEN

#define SMTP_MAX_USERNAME_LEN 32

Maximum length reserved for username

## ◆ SMTP_SUPPORT_AUTH_LOGIN

#define SMTP_SUPPORT_AUTH_LOGIN 1

Set this to 1 to enable AUTH LOGIN support

## ◆ SMTP_SUPPORT_AUTH_PLAIN

#define SMTP_SUPPORT_AUTH_PLAIN 1

Set this to 1 to enable AUTH PLAIN support